#![feature(concat_idents)]
#![feature(exclusive_range_pattern)]
#![feature(assert_matches)]
#![feature(fn_traits)]
#![feature(iter_advance_by)]
#![feature(backtrace)]
#![feature(in_band_lifetimes)]

extern crate core;

#[cfg(test)]
mod integration_tests;

pub mod binding;
pub mod defines;
pub mod logger;
pub mod modifiers;
pub mod parsing;
pub(crate) mod prim_type;
pub mod span;
pub mod types;
